2017-05-30 13:01 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001697openmediavaultBugpublic2017-03-13 17:03
ReporterBelokan 
Assigned Tovotdev 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOpenMediaVaultOS3.0.65OS VersionErasmus
Product Version 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001697: NFS bind not mounted when adding new share
DescriptionWhen adding a new NFS share (using the GUI):

- /etc/exports is populated
- entry for bind in /export/new-share is added in fstab

But the mount /export/new-share command is not ran during configuration saving.
So if the mount is not done before client starts to use the share, files will be created under / filesystem instead of /media/UID/new-share
Steps To ReproduceCreate a new NFS share in the GUI and apply configuration change.

root@omv1:~# exportfs
/export/nfsshare1
                192.168.1.0/24
/export 192.168.1.0/24
root@omv1:~# df -h /export/nfsshare1
Filesystem Size Used Avail Use% Mounted on
/dev/vda1 15G 1.5G 13G 10% /
root@omv1:~# mount | grep nfsshare1

root@omv1:~# mount /export/nfsshare1
root@omv1:~# df -h /export/nfsshare1
Filesystem Size Used Avail Use% Mounted on
/dev/vdb1 4.5T 2.8T 1.8T 61% /export/nfsshare1
root@omv1:~# mount | grep nfsshare1
/dev/vdb1 on /export/nfsshare1 type ext4 (rw,noexec,relatime,data=ordered,jqfmt=vfsv0,usrjquota=aquota.user,grpjquota=aquota.group)
Additional InformationMar 12 11:12:06 omv1 systemd[1]: Activated swap /dev/disk/by-uuid/020b3953-a381-42cd-bb29-ba8ff8e0b055.
Mar 12 11:12:06 omv1 systemd[1]: Activated swap /dev/vda5.
Mar 12 11:12:06 omv1 systemd[1]: Starting LSB: NFS support files common to client and server...
Mar 12 11:12:06 omv1 systemd[1]: Failed to reset devices.list on /system.slice: Invalid argument
Mar 12 11:12:06 omv1 rpc.statd[495]: Version 1.2.8 starting
Mar 12 11:12:06 omv1 sm-notify[496]: Version 1.2.8 starting
Mar 12 11:12:06 omv1 sm-notify[496]: Already notifying clients; Exiting!
Mar 12 11:12:06 omv1 nfs-common[490]: Starting NFS common utilities: statd idmapd.
Mar 12 11:12:06 omv1 systemd[1]: Started LSB: NFS support files common to client and server.
Mar 12 11:12:07 omv1 systemd[1]: Reloading.
Mar 12 11:12:07 omv1 systemd[1]: Started ACPI event daemon.
Mar 12 11:12:07 omv1 systemd[1]: Listening on ACPID Listen Socket.
Mar 12 11:12:07 omv1 systemd[1]: Mounted /.
Mar 12 11:12:07 omv1 systemd[1]: Reached target Network is Online.
Mar 12 11:12:07 omv1 systemd[1]: Started LSB: RPC portmapper replacement.
Mar 12 11:12:07 omv1 systemd[1]: Reached target RPC Port Mapper.
Mar 12 11:12:07 omv1 systemd[1]: Activated swap /dev/disk/by-uuid/020b3953-a381-42cd-bb29-ba8ff8e0b055.
Mar 12 11:12:07 omv1 systemd[1]: Activated swap /dev/vda5.
Mar 12 11:12:07 omv1 systemd[1]: Reloading.
Mar 12 11:12:07 omv1 systemd[1]: Started ACPI event daemon.
Mar 12 11:12:07 omv1 systemd[1]: Listening on ACPID Listen Socket.
Mar 12 11:12:07 omv1 systemd[1]: Mounted /.
Mar 12 11:12:07 omv1 systemd[1]: Reached target Network is Online.
Mar 12 11:12:07 omv1 systemd[1]: Reached target RPC Port Mapper.
Mar 12 11:12:07 omv1 systemd[1]: Started LSB: RPC portmapper replacement.
Mar 12 11:12:07 omv1 systemd[1]: Activated swap /dev/disk/by-uuid/020b3953-a381-42cd-bb29-ba8ff8e0b055.
Mar 12 11:12:07 omv1 systemd[1]: Activated swap /dev/vda5.
Mar 12 11:12:07 omv1 systemd[1]: Starting LSB: Kernel NFS server support...
Mar 12 11:12:07 omv1 systemd[1]: Failed to reset devices.list on /system.slice: Invalid argument
Mar 12 11:12:07 omv1 nfs-kernel-server[541]: Exporting directories for NFS kernel daemon....
Mar 12 11:12:07 omv1 kernel: [233450.802906] NFSD: Using /var/lib/nfs/v4recovery as the NFSv4 state recovery directory
Mar 12 11:12:07 omv1 kernel: [233450.802923] NFSD: starting 90-second grace period (net ffffffffbaee1f40)
Mar 12 11:12:07 omv1 rpc.mountd[564]: Version 1.2.8 starting
Mar 12 11:12:07 omv1 nfs-kernel-server[541]: Starting NFS kernel daemon: nfsd mountd.
Mar 12 11:12:07 omv1 systemd[1]: Started LSB: Kernel NFS server support.
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0004652

votdev (administrator)

Fixed in openmediavault 3.0.66, see https://github.com/openmediavault/openmediavault/commit/10b178cd72d3a14b2fd7a1b03157c407badda784.
+Notes

-Issue History
Date Modified Username Field Change
2017-03-12 11:18 Belokan New Issue
2017-03-12 11:18 Belokan Status new => assigned
2017-03-12 11:18 Belokan Assigned To => votdev
2017-03-13 17:03 votdev Status assigned => resolved
2017-03-13 17:03 votdev Resolution open => fixed
2017-03-13 17:03 votdev Fixed in Version => Erasmus (3.x)
2017-03-13 17:03 votdev Note Added: 0004652
+Issue History